Name:		GtkAda
Version:	2.8.0
Release:	6%{?dist}
Summary:	Ada95 graphical toolkit based on Gtk+
Group:		System Environment/Libraries
License:	GPL
URL:		http://libre.act-europe.fr/GtkAda
Source:         http://libre.act-europe.fr/GtkAda/GtkAda-gpl-2.8.0.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gcc-gnat
BuildRequires:  libgnat
BuildRequires:  perl
BuildRequires:	gtk2-devel
BuildRequires:  libgnome-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  bonobo-activation-devel
BuildRequires:  libbonoboui-devel
BuildRequires:  libglade2-devel
BuildRequires:  texinfo
BuildRequires:  tetex-dvips
ExcludeArch:	ppc ppc64

%description
GtkAda is an Ada95 graphical toolkit based on Gtk+, providing the
complete set of Gtk+ widgets using the Object-Oriented features of
this language. GtkAda supports the latest 2.8 stable releases.


%package devel
Summary:	Development files for GtkAda
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}, perl

%description devel
Development files for GtkAda.


%prep
%setup -q -n %{name}-gpl-%{version}
sed -i "s|\$.prefix./lib|\$(libdir)|" projects/Makefile
sed -i "s|\$prefix/lib|%{_libdir}|" projects/generate_prj.sh

%build
# adapt opt flags to gnatmake
GNAT_RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's|--param=ssp-buffer-size=4||'`
sed -i "s|GNATFLAGS =|GNATFLAGS = $GNAT_RPM_OPT_FLAGS |" src/Makefile.common*
%configure
sed -i 's|--param=ssp-buffer-size=4||' testgtk/Makefile
make incdir=%{_includedir}/gtkada alidir=%{_libdir}/gtkada
make -C docs


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall incdir=$RPM_BUILD_ROOT%{_includedir}/gtkada alidir=$RPM_BUILD_ROOT%{_libdir}/gtkada
(make -C docs install prefix=$PWD/doc-install)

# move shared libraries to standard place
rm -rf $RPM_BUILD_ROOT%{_libdir}/lib*
mv $RPM_BUILD_ROOT%{_libdir}/gtkada/lib* $RPM_BUILD_ROOT%{_libdir}

# make libraries executables, otherwise dependencies are not found
chmod 0755 $RPM_BUILD_ROOT%{_libdir}/lib*.so.*

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
(cd docs; install -m 0644 dgate.1 gate.1 gtkada-config.1 $RPM_BUILD_ROOT%{_mandir}/man1)

# this conflicts with gdialog from gnome-utils
rm -f $RPM_BUILD_ROOT%{_bindir}/gdialog

rm -rf $RPM_BUILD_ROOT%{_datadir}/doc
rm -rf $RPM_BUILD_ROOT%{_datadir}/examples

#sed -i "s|/.*/usr/lib|/usr/lib|" $RPM_BUILD_ROOT%{_libdir}/gnat/*.gpr


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%{_libdir}/lib*.so.*
%doc AUTHORS COPYING README


%files devel
%defattr(-,root,root,-)
%{_bindir}/*
%{_includedir}/gtkada
%{_libdir}/gtkada
%{_libdir}/gnat
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/pkgconfig/*
%{_datadir}/gps
%{_mandir}/man*/*
%doc examples
%doc doc-install/share/doc/gtkada/*
%doc known-problems


%changelog
* Sat Oct 21 2006 Gerard Milmeister <gemi@bluewin.ch> - 2.8.0-5
- new version 2.8.0

* Fri Feb 17 2006 Gerard Milmeister <gemi@bluewin.ch> - 2.4.0-11
- Rebuild for Fedora Extras 5

* Thu Feb  2 2006 Gerard Milmeister <gemi@bluewin.ch> - 2.4.0-10
- remove "--param=ssp-buffer-size=4" from gnatmake command line

* Wed Feb  1 2006 Gerard Milmeister <gemi@bluewin.ch> - 2.4.0-9
- patch to handle all cases

* Thu May 12 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> 2.4.0-6
- Add excludearch ppc ppc64 (no gcc-gnat currently for those) #157550

* Tue May 10 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> 2.4.0-5
- Remove excludearch x86_64 (gcc-gnat now in FC4 for x86_64)
- BR textinfo, tetex-dvips

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 2.4.0-4
- rebuilt

* Sun Feb 13 2005 Gerard Milmeister <gemi@bluewin.ch> - 0:2.4.0-3
- Excluded arch x86_64

* Sat Feb 12 2005 Gerard Milmeister <gemi@bluewin.ch> - 0:2.4.0-2
- Removed touching /usr/include/gtkada/*

* Sat Jan 22 2005 Gerard Milmeister <gemi@bluewin.ch> - 0:2.4.0-0.fdr.1
- New Version 2.4.0

* Sat May 29 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:2.2.1-0.fdr.2
- Replaced XFree86 reference with xorg

* Fri Nov 21 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.2.1-0.fdr.1
- New Version 2.2.1

* Mon Nov 10 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.2.0-0.fdr.5
- Work around to compiler bug

* Tue Oct 28 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.2.0-0.fdr.3
- Better placing of documentation files

* Mon Oct 27 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.2.0-0.fdr.2
- Improved specfile

* Sun Oct 26 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.2.0-0.fdr.1
- First Fedora release
